TwoPartyTradeFlow.Seller
Keywords: net.corda.finance.flows.TwoPartyTradeFlow.Seller class
Date: 2023-09-18

net.corda.finance.flows

## Class TwoPartyTradeFlow.Seller

- net.corda.core.flows.FlowLogic<T>
- - net.corda.finance.flows.TwoPartyTradeFlow.Seller

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.Seller
      extends FlowLogic<T>

- - ### Field Detail

    - #### Companion

          public static net.corda.finance.flows.TwoPartyTradeFlow.Seller.Companion Companion

  - ### Constructor Detail

    - #### Seller

          public Seller(@NotNull
                        FlowSession otherSideSession,
                        @NotNull
                        StateAndRef<? extends net.corda.core.contracts.OwnableState> assetToSell,
                        @NotNull
                        Amount<java.util.Currency> price,
                        @NotNull
                        PartyAndCertificate myParty,
                        @NotNull
                        ProgressTracker progressTracker)

      Parameters:
        `progressTracker` -

        Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports e.g record to the audit service. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

        Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

  - ### Method Detail

    - #### call

          @Suspendable
           @NotNull
          public SignedTransaction call()

      This is where you fill out your business logic.

    - #### getProgressTracker

          @NotNull
          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports e.g record to the audit service. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`